Bug 119977 - won't start in enforcing mode
won't start in enforcing mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-04 10:27 EDT by Tim Waugh
Modified: 2014-03-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 12:23:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2004-04-04 10:27:23 EDT
Description of problem:
GnuCash shows the splashscreen, then stops.

Version-Release number of selected component (if applicable):
gnucash-1.8.8-5
policy-1.9.2-10

How reproducible:
100%

Steps to Reproduce:
1. Run 'gnucash' as a user_r user
  
Actual results:
Splash screen, then:
Gdk-ERROR **: X connection to localhost:10.0 broken (explicit kill or
server shutdown).

audit messages:
audit(1081089141.467:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/proc/sysrq-trigger dev= ino=4117
scontext=tim:user_r:user_t tcontext=system_u:object_r:sysctl_t tclass=file
audit(1081089141.699:0): avc:  denied  { read } for  pid=2672
exe=/usr/bin/guile name=lock dev=hdb1 ino=406428
scontext=tim:user_r:user_t tcontext=system_u:object_r:var_lock_t
tclass=dir
audit(1081089141.914:0): avc:  denied  { read } for  pid=2672
exe=/usr/bin/guile name=log dev=hdb1 ino=406420
scontext=tim:user_r:user_t tcontext=system_u:object_r:var_log_t tclass=dir
audit(1081089142.129:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/console dev=hdb1 ino=406444
scontext=tim:user_r:user_t tcontext=system_u:object_r:xdm_var_run_t
tclass=dir
audit(1081089142.365:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/klogd.pid dev=hdb1 ino=407417
scontext=tim:user_r:user_t tcontext=system_u:object_r:klogd_var_run_t
tclass=file
audit(1081089142.606:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/sshd.pid dev=hdb1 ino=407436
scontext=tim:user_r:user_t tcontext=system_u:object_r:sshd_var_run_t
tclass=file
audit(1081089142.845:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/xfs.pid dev=hdb1 ino=407447
scontext=tim:user_r:user_t tcontext=system_u:object_r:xfs_var_run_t
tclass=file
audit(1081089143.082:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/sudo dev=hdb1 ino=406495
scontext=tim:user_r:user_t tcontext=system_u:object_r:pam_var_run_t
tclass=dir
audit(1081089143.315:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/messagebus.pid dev=hdb1 ino=407455
scontext=tim:user_r:user_t tcontext=system_u:object_r:dbusd_var_run_t
tclass=file
audit(1081089143.562:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/gdm.pid dev=hdb1 ino=407464
scontext=tim:user_r:user_t tcontext=system_u:object_r:xdm_var_run_t
tclass=file
audit(1081089143.799:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/ntpd.pid dev=hdb1 ino=407440
scontext=tim:user_r:user_t tcontext=system_u:object_r:ntpd_var_run_t
tclass=file
audit(1081089144.039:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/crond.pid dev=hdb1 ino=407445
scontext=tim:user_r:user_t tcontext=system_u:object_r:crond_var_run_t
tclass=file
audit(1081089144.280:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/acpid.socket dev=hdb1 ino=407432
scontext=tim:user_r:user_t tcontext=system_u:object_r:apmd_var_run_t
tclass=sock_file
audit(1081089144.530:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/syslogd.pid dev=hdb1 ino=407416
scontext=tim:user_r:user_t
tcontext=system_u:object_r:syslogd_var_run_t tclass=file
audit(1081089144.776:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/dhclient-eth0.pid dev=hdb1 ino=407413
scontext=tim:user_r:user_t tcontext=system_u:object_r:dhcpc_var_run_t
tclass=file
audit(1081089145.027:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/sendmail.pid dev=hdb1 ino=407441
scontext=tim:user_r:user_t
tcontext=system_u:object_r:sendmail_var_run_t tclass=file
audit(1081089145.275:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/xinetd.pid dev=hdb1 ino=407437
scontext=tim:user_r:user_t tcontext=system_u:object_r:inetd_var_run_t
tclass=file
audit(1081089145.518:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/atd.pid dev=hdb1 ino=407449
scontext=tim:user_r:user_t tcontext=system_u:object_r:atd_var_run_t
tclass=file
audit(1081089145.755:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/rpc.statd.pid dev=hdb1 ino=407422
scontext=tim:user_r:user_t tcontext=system_u:object_r:rpcd_var_run_t
tclass=file
audit(1081089145.999:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/dbus dev=hdb1 ino=406528
scontext=tim:user_r:user_t tcontext=system_u:object_r:dbusd_var_run_t
tclass=dir
audit(1081089146.234:0): avc:  denied  { getattr } for  pid=2672
exe=/usr/bin/guile path=/var/run/console.lock dev=hdb1 ino=407473
scontext=tim:user_r:user_t tcontext=system_u:object_r:xdm_var_run_t
tclass=file
audit(1081089155.548:0): avc:  denied  { execute } for  pid=2673
exe=/usr/bin/guile name=finance-quote-check dev=hdb1 ino=521648
scontext=tim:user_r:user_t tcontext=system_u:object_r:usr_t tclass=file
Comment 1 Daniel Walsh 2004-04-05 09:25:39 EDT
Simple fix to get gnucash to run is
chcon -t bin_t /usr/share/gnucash/finance-quote-*

I will fix in policy.

Dan
Fixed in policy-1.9.2-11

Comment 2 Tim Waugh 2004-04-05 12:23:07 EDT
Confirmed fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.